textures/wodan/terrain 
{ 
   // standard terrain shader stuffs: 

   qer_editorimage textures/wodan/rock.tga    
   q3map_nonplanar 
   q3map_shadeAngle 179 
   q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 ) 
   q3map_tcMod rotate 33 
   q3map_lightmapAxis z 
   q3map_lightmapSampleOffset 8
   surfaceparm landmine
   surfaceparm grasssteps
    
   // this means dot product squared, for faster falloff between vertical and horizontal planes: 

   q3map_alphaMod dotproduct2 ( 0 0 .85 )    

   // mapping stages: 

   { 
      map textures/wodan/dirt.tga 
      rgbGen identity 
   } 

   { 
      map textures/wodan/rock.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      alphaFunc GE128 
      rgbGen identity 
      alphaGen oneMinusVertex 
   } 

   { 
      map textures/wodan/grass.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      alphaFunc GE128 
      rgbGen identity 
      alphaGen vertex 
   } 

   { 
      map $lightmap 
      blendFunc GL_DST_COLOR GL_ZERO 
   } 
}

textures/wodan/terrain2 
{ 
   // standard terrain shader stuffs: 

   qer_editorimage textures/wodan/sand.tga    
   q3map_nonplanar 
   q3map_shadeAngle 179 
   q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 ) 
   q3map_tcMod rotate 33 
   q3map_lightmapAxis z 
   q3map_lightmapSampleOffset 8
   surfaceparm landmine
   surfaceparm grasssteps
    
   // this means dot product squared, for faster falloff between vertical and horizontal planes: 

   q3map_alphaMod dotproduct2 ( 0 0 .85 )    

   // mapping stages: 

   { 
      map textures/wodan/dirt.tga 
      rgbGen identity 
   } 

   { 
      map textures/wodan/rock.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      alphaFunc GE128 
      rgbGen identity 
      alphaGen oneMinusVertex 
   } 

   { 
      map textures/wodan/sand.tga 
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
      alphaFunc GE128 
      rgbGen identity 
      alphaGen vertex 
   } 

   { 
      map $lightmap 
      blendFunc GL_DST_COLOR GL_ZERO 
   } 
}

textures/wodan/wodansky
{
	nocompress
	qer_editorimage textures/skies/sky_8.tga
	q3map_lightimage textures/skies/n_blue2.tga
	q3map_nofog
	q3map_globaltexture
	q3map_lightsubdivide 256 
	q3map_sun 0.130 0.080 0.020 5 165 5
	q3map_sun 0.281 0.288 0.370 10 35 40
	q3map_sun 0.281 0.288 0.370 5 215 60
	q3map_sun 0.281 0.288 0.370 5 35 50
	q3map_sun 0.281 0.288 0.370 5 35 45
	q3map_sun 0.281 0.288 0.370 5 35 35
	q3map_sun 0.281 0.288 0.370 5 35 30
	q3map_sun 0.281 0.288 0.370 5 40 40
	q3map_sun 0.281 0.288 0.370 5 45 40
	q3map_sun 0.281 0.288 0.370 5 30 40
	q3map_sun 0.281 0.288 0.370 5 25 40
	q3map_surfacelight 5

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	skyparms - 512 -
	sunshader textures/skies_sd/small_moon

	{
		map textures/skies_sd/wurzburg_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.003 -0.0015
		rgbGen identityLighting
	}
	{
		map textures/skies_sd/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
	{
		clampmap textures/skies_sd/wurzburg_fogmask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identitylighting
	}
}

textures/wodan/ter_dirt1wodan
{
	surfaceparm grasssteps
      surfaceparm landmine
	implicitMap -
}

textures/wodan/ocean
{
      qer_editorimage textures/liquids_sd/sea_bright_na.tga
	q3map_baseshader textures/battery/ocean_base
	cull none
	deformVertexes wave 1317 sin 0 2.5 0 0.15
 	deformVertexes wave 317 sin 0 1.5 0 0.30
	
	{
		map textures/liquids_sd/seawall_specular.tga
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
		tcGen environment
		depthWrite
	}
		
	{ 
		map textures/liquids_sd/sea_bright_na.tga
		blendFunc blend
		rgbGen identity
		alphaGen const 0.8
		tcmod scroll 0.05 0.03
	}
	
}

textures/wodan/water_wodan_nerve
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	cull disable
	deformVertexes wave 160 sin 0 10 0 .3
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm water
	tesssize 512
	waterfogvars ( 0.1 0.1 0.1 ) 512
	{
		map textures/liquids/ocean_m1.tga
		rgbgen wave sin .4 0 0 .5
		tcmod scale .2 .1
		tcmod scroll .03 .02
		fog on
	}
	{
		map textures/liquids/ocean_m1.tga
		blendFunc GL_src_alpha GL_ONE
		alphagen const .5
		tcmod scale .2 .2
		tcmod scroll -.03 -.02
	}
}